
From: Trivial Patch Monkey <trivial@rustcorp.com.au>

From:  Pavel Machek <pavel@ucw.cz>

I was sending this to users that had problems with swsusp, then lost it.  It
would be nice to have it directly in the tree.


---

 25-akpm/Documentation/power/tricks.txt |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+)

diff -puN /dev/null Documentation/power/tricks.txt
--- /dev/null	Thu Apr 11 07:25:15 2002
+++ 25-akpm/Documentation/power/tricks.txt	Fri Mar 12 13:54:10 2004
@@ -0,0 +1,25 @@
+	swsusp/S3 tricks
+	~~~~~~~~~~~~~~~~
+Pavel Machek <pavel@suse.cz>
+
+If you want to trick swsusp/S3 into working, you might want to try:
+
+* go with minimal config, turn off drivers like USB, AGP you don't
+  really need
+
+* use ext2. At least it has working fsck. [If something seemes to go
+  wrong, force fsck when you have a chance]
+
+* turn off modules
+
+* use vga text console, shut down X. [If you really want X, you might
+  want to try vesafb later]
+
+* try running as few processes as possible, preferably go to single
+  user mode.
+
+* due to video issues, swsusp should be easier to get working than
+  S3. Try that first.
+
+When you make it work, try to find out what exactly was it that broke
+suspend, and preferably fix that.

_
